import type { GridOptions } from '@ag-grid-community/core';
/**
 * Field selection grid config
 */
export declare const FIELD_SELECT_CONFIG: {
    colDefs: ({
        checkboxSelection: boolean;
        filter: boolean;
        headerCheckboxSelection: boolean;
        width: number;
        field?: undefined;
        headerName?: undefined;
    } | {
        field: string;
        headerName: string;
        checkboxSelection?: undefined;
        filter?: undefined;
        headerCheckboxSelection?: undefined;
        width?: undefined;
    })[];
    gridOptions: GridOptions<any>;
};
/**
 * Selected fields config
 */
export declare const SELECTED_FIELDS_CONFIG: {
    colDefs: ({
        checkboxSelection: boolean;
        filter: boolean;
        headerCheckboxSelection: boolean;
        sortable: boolean;
        width: number;
        field?: undefined;
        headerName?: undefined;
    } | {
        field: string;
        headerName: string;
        checkboxSelection?: undefined;
        filter?: undefined;
        headerCheckboxSelection?: undefined;
        sortable?: undefined;
        width?: undefined;
    })[];
    gridOptions: {
        defaultColDef: {
            filter: boolean;
            floatingFilter: boolean;
            sortable: boolean;
            suppressMenu: boolean;
            resizable: boolean;
        };
        animateRows: boolean;
        debug: boolean;
        rowDragManaged: boolean;
        rowHeight: number;
        rowStyle: {
            backgroundColor: string;
            border: string;
            borderRadius: string;
            maxHeight: string;
        };
        suppressRowClickSelection: boolean;
    };
};
//# sourceMappingURL=columns.d.ts.map