import { Connect } from '@genesislcap/foundation-comms';
import { ZeroGridPro } from '@genesislcap/foundation-zero-grid-pro';
import { FASTElement } from '@microsoft/fast-element';
export declare class SelectFields extends FASTElement {
    allFieldsGrid: ZeroGridPro;
    selectedFieldsGrid: ZeroGridPro;
    connect: Connect;
    fieldsToRemove: any[];
    fieldData: any;
    report: {};
    selectedFields: any;
    selectedDatasource: string;
    /**
     * Loading selected fields grid when we have selected rows
     */
    selectedFieldsChanged(oldValue: any): void;
    connectedCallback(): void;
    /**
     * As the current fieldsGrid does not have display name ctx, we need to make sure the text renderer field value is not lost
     * @param array Array
     * @returns Array
     */
    makeSureFieldValueIsNotLost: (array: any) => any;
    /**
     * Update selected fields on parent component
     */
    setSelectedFields(fields: {
        [key: string]: any;
    }): void;
    /**
     * Loads the allFieldsGrid
     */
    loadAllFieldsGrid(): Promise<void>;
    /**
     * Loads the allFieldsGrid
     */
    loadSelectedFieldsGrid(): Promise<void>;
    /**
     * When text renderer text field changes handle
     * @param value string
     * @param params Object
     */
    onTextFieldChange: (value: any, params: any) => Promise<void>;
    /**
     * Refresh select field grid data
     */
    refreshSelectFieldGridData: () => void;
    /**
     * Remove fields from selected fields grid and deselect them from the available fields grid
     */
    removeSelectedFields: () => void;
    /**
     * Select default fields
     */
    selectDefaultFields(): void;
}
//# sourceMappingURL=select-fields.d.ts.map