import { Connect } from '@genesislcap/foundation-comms';
import { ZeroGridPro } from '@genesislcap/foundation-zero-grid-pro';
import { FASTElement } from '@microsoft/fast-element';
export declare class SelectFilters extends FASTElement {
    availableFieldsGrid: ZeroGridPro;
    selectedFiltersGrid: ZeroGridPro;
    connect: Connect;
    filtersToRemove: any[];
    selectedFields: any[];
    selectedFilters: any[];
    filterGridReady: boolean;
    connectedCallback(): void;
    makeSureFieldValueIsNotLost: (array: any) => any;
    selectedFiltersChanged(): void;
    /**
     * Update selected filters on parent component
     */
    setSelectedFilters(filters: {
        [key: string]: any;
    }): void;
    /**
     * Get a simplified / normalized version of the filters
     * e.g. ['REPORT_ID', 'REPORT_NAME']
     * @returns Array of string
     */
    getNormalizedFilters(): Array<string>;
    /**
     * Loads availableFieldsGrid with data from the field selection step
     */
    loadAvailableFieldsGrid(): Promise<void>;
    /**
     * Loads the selectedFiltersGrid
     */
    loadSelectedFiltersGrid(): void;
    onFilterSelect: (value: any, params: any) => void;
    onFilterValueChange: (value: any, params: any) => void;
    /**
     * Remove fields from selected filters grid and deselect them from the available fields grid
     */
    removeSelectedFilters: () => void;
    /**
     * Select default filters
     */
    selectDefaultFilters(): void;
}
//# sourceMappingURL=select-filters.d.ts.map