import { Connect } from '@genesislcap/foundation-comms';
import { FASTElement } from '@microsoft/fast-element';
import { DatasourceFieldOptions, DatasourceOptions, ReportField, WizardContent } from './wizard.types';
export declare class Wizard extends FASTElement {
    connect: Connect;
    debug: boolean;
    activeTab: number;
    datasourceOptions: DatasourceOptions;
    datasourceFieldOptions: DatasourceFieldOptions;
    isEdit: boolean;
    fieldData: ReportField[];
    report: any;
    saveReport: any;
    content: WizardContent;
    datasourceSettings: any;
    reportName: string;
    reportDescription: string;
    selectedDatasource: string;
    selectedFields: ReportField[];
    selectedFilters: any[];
    previewData: any[];
    previewGridColumns: any[];
    get isFormValid(): boolean;
    /**
     * When report variable changes handle
     */
    reportChanged(old: any, newValue: any): Promise<void>;
    /**
     * Set selected fields
     * @param fields array
     */
    setFields(fields: any): void;
    /**
     * When report variable changes handle
     */
    selectedDatasourceChanged(old: any, newValue: any): Promise<void>;
    /**
     * Make sure to update selected fields when field data changes
     */
    fieldDataChanged(): void;
    connectedCallback(): void;
    /**
     * Get a simplified / normalized version of the fields
     * e.g. ['REPORT_ID', 'REPORT_NAME']
     * @returns Array of string
     */
    getNormalizedSelectedFields: () => string[];
    /**
     * Get normalized selected filters context
     * @returns Array of strings
     */
    getNormalizedSelectedFilters: () => any[];
    /**
     * Fetch a list of datasources
     */
    private getDatasources;
    /**
     * Fetch data from the provided datasource
     */
    private fetchFieldsFromDatasource;
    /**
     * On datasource radio group change event handler
     * @param selection Number
     */
    onDatasourceChange: (selection: any) => void;
    /**
     * Get report context data
     * @returns Object
     */
    getData: () => {
        REPORT_NAME: string;
        REPORT_DESCRIPTION: string;
        REPORT_COLUMNS: ReportField[];
        REPORT_DATA_SOURCE: string;
    };
    /**
     * Set the current active tab
     * @param tab Number
     */
    setActiveTab: (tabIndex: any) => void;
}
//# sourceMappingURL=wizard.d.ts.map