import { __awaiter } from "tslib";
import { FASTRouter } from '@microsoft/fast-router';
import { logger } from '../utils';
import { CreateEdit } from './create-edit';
import { List } from './list';
import { Preview } from './preview';
import { SelectFields } from './select-fields';
import { SelectFilters } from './select-filters';
import { Wizard } from './wizard';
var ResourceType;
(function (ResourceType) {
    ResourceType["LOCAL"] = "LOCAL";
    ResourceType["REMOTE"] = "REMOTE";
})(ResourceType || (ResourceType = {}));
/**
 * TODO: Think about sharing import functions across micro frontends.
 */
function loadZeroFallback() {
    return import(
    /* webpackMode: "lazy" */
    '@genesislcap/foundation-zero');
}
/**
 * Granular
 */
function loadZeroDesignSystem() {
    return __awaiter(this, void 0, void 0, function* () {
        let type = ResourceType.REMOTE;
        try {
            // @ts-ignore
            return yield import('foundationZero/ZeroDesignSystem');
        }
        catch (e) {
            type = ResourceType.LOCAL;
            return yield loadZeroFallback();
        }
        finally {
            logger.debug(`Using '${type}' version of foundationZero/ZeroDesignSystem`);
        }
    });
}
export function loadRemotes(options) {
    return __awaiter(this, void 0, void 0, function* () {
        const { registerZeroDesignSystem } = yield loadZeroDesignSystem();
        return {
            ZeroDesignSystem: registerZeroDesignSystem(),
        };
    });
}
/**
 * Ensure tree shaking doesn't remove these
 * Perhaps we keep these MFs style free, ie. they need to get wrapped to have style applied. Keeping it simple for now.
 */
FASTRouter;
/**
 * Load custom components for reporting
 */
CreateEdit;
List;
Preview;
SelectFields;
SelectFilters;
Wizard;
