import { html, ref } from '@microsoft/fast-element';
const availableFieldsTemplate = html `
  <section class="available-fields" slot="left-section">
    <h3 class="mt-1 section-title dark-grey">Select fields</h3>
    <zero-card class="card">
      <div class="flex space-between">
        <h5 class="card-title">All fields</h5>
      </div>

      <div class="w-full h-90pc">
        <zero-grid-pro
          ${ref('allFieldsGrid')}
          rowSelection="multiple"
          data-test-id="select-fields-available"
        ></zero-grid-pro>
      </div>
    </zero-card>
  </section>
`;
const selectedFieldsTemplate = html `
  <section class="selected-fields" slot="right-section">
    <div class="spacer-3"></div>
    <zero-card class="card">
      <div class="flex space-between">
        <h5 class="card-title">Selected fields</h5>
        <zero-button
          @click=${(x) => x.removeSelectedFields()}
          ?disabled=${(x) => !x.fieldsToRemove.length}
          appearance="primary-gradient"
        >
          Remove fields
        </zero-button>
      </div>
      <div class="w-full h-90pc">
        <zero-grid-pro
          ${ref('selectedFieldsGrid')}
          rowSelection="multiple"
          data-test-id="select-fields-selected"
        ></zero-grid-pro>
      </div>
    </zero-card>
  </section>
`;
// TODO: review classes from merge conflict
export const SelectFieldsTemplate = html `
  <layout-two-pane-horizontal splitRatio="right-main">
    ${availableFieldsTemplate} ${selectedFieldsTemplate}
  </layout-two-pane-horizontal>
`;
