import { neutralFillStealthHover, neutralFillStealthRest, neutralForegroundHint, neutralForegroundRest, neutralLayer1, neutralLayer2, neutralLayer4, } from '@microsoft/fast-components';
import { css } from '@microsoft/fast-element';
import { helperStyles, normalizeStyles } from '../../styles';
import { ColorHEX } from '../../styles';
const { cyan, darkGreen, lightGreen, lightBlue1 } = ColorHEX;
export const WizardStyles = css `
  ${normalizeStyles}
  ${helperStyles}
  :host {
    width: 100%;
  }

  .grid-container {
    display: grid;
    gap: 1rem;
    grid-template-columns: minmax(250px, 10%) 1fr;
    grid-auto-rows: 1fr;
    margin-top: 1rem;
    margin-bottom: 1rem;
    height: 95%;
  }

  .nav {
    max-width: 248px;
    background-color: ${neutralLayer2};
  }

  .nav-item h5 {
    position: relative;
    padding: 7px 15px;
    margin-left: -15px;
    margin-right: -15px;
    margin-bottom: 0;
    vertical-align: middle;
    color: ${neutralForegroundHint};
  }

  .nav-item.active h5,
  .nav-item h5:hover {
    color: ${neutralForegroundRest};
    background-color: ${neutralFillStealthRest};
  }

  .nav-item.active h5::after {
    content: ' ';
    width: 5px;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;

    --primary-gradient-angle: -172.6004deg;

    background-image: linear-gradient(
      var(--primary-gradient-angle),
      ${lightBlue1} 0%,
      rgb(101 77 249 / 97%) 100%
    );
    box-sizing: border-box;
  }

  .nav-item .step-number {
    display: inline-block;
    width: 18px;
    height: 18px;
    vertical-align: middle;
    text-align: center;
    font-family: ArialMT, Arial, sans-serif;
    font-size: 11px;
    line-height: 16px;
    color: ${neutralFillStealthHover};
    border-radius: 50%;
    border: 1px solid ${cyan};
  }

  .nav-item.active .step-number,
  .nav-item h5:hover .step-number {
    color: ${neutralForegroundHint};
    border-color: ${neutralForegroundHint};
  }

  .nav-item .step-number.completed {
    border-color: ${lightGreen};
    background-color: ${lightGreen};
    color: ${darkGreen};
  }

  .body {
    background-color: ${neutralLayer4};
    padding-left: 0;
    padding-top: 0;
  }

  .description {
    color: ${neutralForegroundHint};
    font-size: 10px;
    font-weight: 700;
    line-height: normal;
    margin-left: 30px;
  }

  .divider {
    margin: 25px 0 20px;
    border: 1px solid ${cyan};
  }

  .nav-line.completed {
    margin: 3px 0 3px 9px;
    border-left: 2px solid ${lightGreen};
  }

  .context-container {
    gap: 0.75rem;
  }

  .completed .context-container {
    padding: 10px 0 20px;
  }

  .context {
    color: ${neutralForegroundHint};
    font-size: 10px;
    font-weight: 700;
    line-height: 12px;
    max-height: 100px;
    margin: 0 0 0 20px;
    overflow: auto;
  }

  .context b {
    color: ${neutralForegroundRest};
  }

  .label {
    font-size: 13px;
    color: ${neutralForegroundHint};
    margin-bottom: 5px;
  }

  zero-radio-group::part(positioning-region) {
    display: flex;
    flex-direction: column;
    gap: 7px;
    width: 100%;
  }

  @media screen and (min-width: 1200px) {
    zero-radio-group::part(positioning-region) {
      display: grid;
      grid-template-columns: repeat(2, minmax(0, 1fr));
    }
  }

  .radio-button {
    background-color: ${neutralLayer2};
    border-radius: 2px;
    cursor: pointer;
    height: 42px;
    margin: 0;
    padding: 0 10px;
  }

  .radio-button::part(label) {
    display: inline-block;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  .radio-button.active,
  .radio-button:hover {
    background-color: ${neutralLayer1};
  }

  zero-radio:hover::part(control) {
    border: 1px solid #fff;
  }

  .arrow {
    align-self: center;
    justify-self: center;
  }

  zero-text-area::part(control) {
    min-height: 170px;
  }

  .report-details,
  .data-sources {
    height: 100%;
  }
`;
