import { __awaiter, __decorate } from "tslib";
import { Auth, Connect } from '@genesislcap/foundation-comms';
import { customElement, FASTElement } from '@microsoft/fast-element';
import { Route } from '@microsoft/fast-router';
import { ProtectedStyles as styles } from './protected.styles';
import { ProtectedTemplate as template } from './protected.template';
const name = 'foundation-reporting-protected';
let Protected = class Protected extends FASTElement {
    logout() {
        return __awaiter(this, void 0, void 0, function* () {
            const result = yield this.auth.logout();
            if (!result.success) {
                return;
            }
            Route.path.push('/');
        });
    }
};
__decorate([
    Connect
], Protected.prototype, "connect", void 0);
__decorate([
    Auth
], Protected.prototype, "auth", void 0);
Protected = __decorate([
    customElement({
        name,
        template,
        styles,
    })
], Protected);
export { Protected };
