import { neutralForegroundRest, neutralLayer4 } from '@microsoft/fast-components';
import { css } from '@microsoft/fast-element';
import { helperStyles } from '../../styles';
import { ColorHEX } from '../../styles/colors';
const { blackPearl, lightBlue, dark } = ColorHEX;
export const ReportingHomeStyles = css `
  ${helperStyles}
  :host {
    display: block;
    width: 100%;
    height: 100%;
    overflow: auto;
    --design-unit: 3.5;
    --zero-fill-color: ${blackPearl};
  }

  .container {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    color: white;
    background-color: ${blackPearl};
  }

  .notification-container {
    display: flex;
    flex-direction: column;
    position: absolute;
    z-index: 10;
    right: calc(var(--design-unit) * 10px);
    bottom: calc(var(--design-unit) * 10px);
    color: ${neutralForegroundRest};
  }

  .header {
    display: flex;
    align-items: center;
    justify-content: space-between;

    margin-bottom: 10px;
    padding: 10px;
  }

  .title {
    font-size: 18px;
    font-weight: 700;
  }

  .tabs {
    width: 100%;
    height: 100%;

    --zero-card-fill-color: ${neutralLayer4};
    --accent-foreground-rest: ${lightBlue};
    --type-ramp-base-font-size: 13px;
  }

  ::part(tablist),
  .tabs .tablist {
    height: 37;
  }

  zero-tab-panel {
    background-color: ${neutralLayer4};
    height: calc(100% - 110px);
    padding: 1px 1rem;
  }

  .controls {
    align-items: center;
    display: flex;
  }
`;
