import { neutralForegroundHint, neutralForegroundRest, neutralLayer3, } from '@microsoft/fast-components';
import { css } from '@microsoft/fast-element';
import { ColorHEX } from './colors';
const { lightGrey, lightGrey1 } = ColorHEX;
/**
 * Helper classes
 */
export const helperStyles = css `
  .text-center {
    text-align: center;
  }

  .text-right {
    text-align: right;
  }

  .text-left {
    text-align: left;
  }

  .my-20 {
    margin-top: 20px;
    margin-bottom: 20px;
  }

  .h-full {
    height: 100%;
  }

  .h-90pc {
    height: 90%;
  }

  .w-full {
    width: 100%;
  }

  .max-w-50pc {
    max-width: 50%;
  }

  .max-w-360px {
    max-width: 360px;
  }

  .flex {
    display: flex;
  }

  .flex-column {
    flex-direction: column;
  }

  .flex-wrap {
    flex-wrap: wrap;
  }

  .flex-grow {
    flex-grow: 1;
  }

  .flex-column {
    flex-direction: column;
  }

  .flex-1 {
    flex: 1;
  }

  .space-between {
    justify-content: space-between;
  }

  .flex-end {
    justify-content: flex-end;
  }

  .items-center {
    align-items: center;
  }

  .gap-1 {
    gap: 1rem;
  }

  .gap-2 {
    gap: 2rem;
  }

  .gap-3 {
    gap: 3rem;
  }

  .gap-4 {
    gap: 4rem;
  }

  .mt-1 {
    margin-top: 1rem;
  }

  .mt-15px {
    margin-top: 15px;
  }

  .mt-2 {
    margin-top: 2rem;
  }

  .ml-5px {
    margin-left: 5px;
  }

  .mr-5px {
    margin-right: 5px;
  }

  .p-2 {
    padding: 0.625rem;
  }

  .card {
    padding: 1rem;
    width: 100%;
    background-color: ${neutralLayer3};
  }

  .overflow-auto {
    overflow: auto;
  }

  .section-title {
    font-size: 18px;
    font-weight: 700;
    line-height: normal;
  }

  .card-title {
    color: ${neutralForegroundRest};
    font-size: 14px;
    font-weight: 700;
    line-height: normal;
    margin-top: 0;
    text-align: 'left';
    color: ${lightGrey1};
  }

  .step-title {
    font-size: 14px;
    line-height: 22px;
  }

  .card-description {
    color: ${neutralForegroundHint};
    line-height: normal;
    font-size: 14px;
    font-weight: 700;
    margin-top: -5px;
    color: ${lightGrey};
  }

  .spacer-3 {
    height: 1.3rem;
    margin: 1rem 0 1rem;
  }

  .light-grey {
    color: ${neutralForegroundRest};
  }

  .dark-grey {
    color: ${neutralForegroundHint};
  }

  .button + .button,
  zero-button + zero-button {
    margin-left: 1rem;
  }
`;
