import {
  test as base,
  TestFixture as BaseTestFixture,
  WorkerFixture as BaseWorkerFixture,
} from '@genesislcap/foundation-testing/e2e';
import { FoundationReportPage } from './pages';

export type TestFixture = BaseTestFixture & {
  FoundationReportPage: FoundationReportPage;
};

export type WorkerFixture = BaseWorkerFixture & {};

export const test = base.extend<TestFixture, WorkerFixture>({
  foundationReportPage: async ({ config, port, page }, use) => {
    const foundationReportPage = new FoundationReportPage(config, port, page);
    await foundationReportPage.goto();
    await use(foundationReportPage);
  },
});
